Hive Schema version 1.2.0 does not match metastore's schema version 2.1.0 问题

Hive Schema version 1.2.0 does not match metastore’s schema version 2.1.0 问题

Caused by: MetaException(message:Hive Schema version 2.1.0 does not match metastore’s schema version 1.2.0 Metastore is not upgraded or corrupt)_2

解决方案1:修改mysql数据库中的Schame version

# root身份访问mysql
mysql -u root -p

# 输入密码
Enter password:

# 使用hive数据库
# use hive

# 查看version表中Schema的版本
select * from version;

# 更新version表中schema版本
update VERSION set SCHEMA_VERSION='2.1.1' where  VER_ID=1;

image

解决方案2:在hvie-site.xml中将hive.metastore.schema.verification参数设置为false

<property>
    <name>hive.metastore.schema.verification</name>
    <value>false</value>
</property>

image

阅读更多
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/qq_33689414/article/details/80332023
个人分类: 大数据
上一篇Hive与Hbase的整合
下一篇Hbase高可用集群搭建
想对作者说点什么? 我来说一句

没有更多推荐了,返回首页

关闭
关闭
关闭